.. currentmodule:: efl.elementary

Panel
#####

.. image:: /images/panel-preview.png


Widget description
==================

A panel is a type of animated container that contains subobjects.

It can be expanded or contracted by clicking the button on it's edge.


Emitted signals
===============

- ``toggled`` - Emitted when the panel has been toggled. (since 1.19)


Layout content parts
====================

- ``default`` - A content of the panel


Enumerations
============

.. _Elm_Panel_Orient:

Panel orientation types
-----------------------

.. data:: ELM_PANEL_ORIENT_TOP

    Panel (dis)appears from the top

.. data:: ELM_PANEL_ORIENT_BOTTOM

    Panel (dis)appears from the bottom

.. data:: ELM_PANEL_ORIENT_LEFT

    Panel (dis)appears from the left

.. data:: ELM_PANEL_ORIENT_RIGHT

    Panel (dis)appears from the right


Inheritance diagram
===================

.. inheritance-diagram:: Panel
    :parts: 2


.. autoclass:: Panel
